polybori::reversed_iteration_adaptor< BiIterator > Class Template Reference

`#include <pbori_func.h>`

## Public Types

typedef BiIterator | iterator
| The iterator type to be reversed. More...
typedef reversed_iteration_adaptor < iterator > | self
| Generic access to type of *this. More...
Interface types for standard iterator access
typedef std::bidirectional_iterator_tag | iterator_category
typedef std::iterator_traits < iterator >::difference_type | difference_type
typedef std::iterator_traits < iterator >::pointer | pointer
typedef std::iterator_traits < iterator >::reference | reference
typedef std::iterator_traits < iterator >::value_type | value_type

## Public Member Functions

| reversed_iteration_adaptor (const iterator &iter)
| Constructor. More...
reference | operator* () const
| Dereferecing operation. More...
self & | operator++ ()
| Prefix increment operator. More...
self & | operator-- ()
| Prefix decrement operator. More...
bool | operator== (const self &rhs) const
bool | operator!= (const self &rhs) const
iterator | get () const

## Protected Attributes

iterator | m_iter

## Member Typedef Documentation

template<class BiIterator >

typedef std::iterator_traits<iterator>::difference_type polybori::reversed_iteration_adaptor< BiIterator >::difference_type

template<class BiIterator >

typedef BiIterator polybori::reversed_iteration_adaptor< BiIterator >::iterator

The iterator type to be reversed.

template<class BiIterator >

typedef std::bidirectional_iterator_tag polybori::reversed_iteration_adaptor< BiIterator >::iterator_category

template<class BiIterator >

typedef std::iterator_traits<iterator>::pointer polybori::reversed_iteration_adaptor< BiIterator >::pointer

template<class BiIterator >

typedef std::iterator_traits<iterator>::reference polybori::reversed_iteration_adaptor< BiIterator >::reference

template<class BiIterator >

typedef reversed_iteration_adaptor<iterator> polybori::reversed_iteration_adaptor< BiIterator >::self

Generic access to type of *this.

template<class BiIterator >

typedef std::iterator_traits<iterator>::value_type polybori::reversed_iteration_adaptor< BiIterator >::value_type

## Constructor & Destructor Documentation

template<class BiIterator >

polybori::reversed_iteration_adaptor< BiIterator >::reversed_iteration_adaptor | ( | const iterator & | iter) |  |

inline

Constructor.

## Member Function Documentation

template<class BiIterator >

iterator polybori::reversed_iteration_adaptor< BiIterator >::get | ( | ) |  | const

inline

template<class BiIterator >

bool polybori::reversed_iteration_adaptor< BiIterator >::operator!= | ( | const self & | rhs) |  | const

inline

template<class BiIterator >

reference polybori::reversed_iteration_adaptor< BiIterator >::operator* | ( | ) |  | const

inline

Dereferecing operation.

template<class BiIterator >

self& polybori::reversed_iteration_adaptor< BiIterator >::operator++ | ( | ) |  |

inline

Prefix increment operator.

template<class BiIterator >

self& polybori::reversed_iteration_adaptor< BiIterator >::operator-- | ( | ) |  |

inline

Prefix decrement operator.

template<class BiIterator >

bool polybori::reversed_iteration_adaptor< BiIterator >::operator== | ( | const self & | rhs) |  | const

inline

## Member Data Documentation

template<class BiIterator >

iterator polybori::reversed_iteration_adaptor< BiIterator >::m_iter

protected

The documentation for this class was generated from the following file:

- pbori_func.h